# BEGIN SourceDeps(oneline):
BuildRequires: perl(Capture/Tiny.pm) perl(Data/Lock.pm) perl(Module/Build.pm) perl(Scalar/Util.pm) perl(Scalar/Util/Reftype.pm) perl(Test/Deep.pm) perl(Test/More.pm) perl(parent.pm) perl(Acme/Teddy.pm)
# END SourceDeps(oneline)
%define module_version v0.0.4
%define module_name Test-Ranger
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.0.4
Release: alt1
Summary: Test with data tables, capturing, templates
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/X/XI/XIONG/developer-tools/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
=over.
*The computer should be doing the hard work.* 
*That's what it's paid to do, after all.*
-- Larry Wall

=back

This is a comprehensive testing module compatible with Test::More and friends 
within TAP::Harness. Helper scripts and templates are included to make 
test-driven development quick, easy, and reliable. Test data structure is 
open; choose from object-oriented methods or procedural/functional calls. 

Tests themselves are formally untestable. All code conceals bugs. Do you want 
to spend your time debugging tests or writing production code? 
The Test::Ranger philosophy is to reduce the amount of code in a test script 
and let test data (given inputs and wanted outputs) dominate. 

Many hand-rolled test scripts examine expected output to see if it matches 
expectations. Test::Ranger traps fatal exceptions cleanly and makes it easy 
to subtest every execution for both expected and unexpected output. 


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/T*

%changelog
* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.0.4-alt1
- initial import by package builder

